
singleton Material(curtain)
{
    mapTo = "curtain";
    diffuseMap[1] = "vehicles/legran/hearse/hearse_curtain.dds";
    specularMap[1] = "vehicles/legran/hearse/hearse_curtain_s.dds";
    normalMap[1] = "vehicles/legran/hearse/hearse_curtain_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/hearse/hearse_curtain_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(velvet)
{
    mapTo = "velvet";
    diffuseMap[1] = "vehicles/legran/hearse/velvet_white.png";
    specularMap[1] = "vehicles/legran/hearse/velvet_white.png";
    normalMap[1] = "vehicles/legran/hearse/velvet_white.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/hearse/velvet_white.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(landaubitch)
{
    mapTo = "landaubitch";
    diffuseMap[0] = "vehicles/legran/hearse/leather.jpg";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(white)
{
    mapTo = "white";
    diffuseMap[0] = "vehicles/legran/hearse/chrome.png";
    specularMap[0] = "vehicles/common/null.dds";	
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran)
{
    mapTo = "legran";
    diffuseMap[2] = "vehicles/legran/legran_c.dds";
    specularMap[2] = "vehicles/legran/legran_s.dds";
    normalMap[2] = "vehicles/legran/legran_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_d_base.dds";
    specularMap[1] = "vehicles/legran/legran_s.dds";
    normalMap[1] = "vehicles/legran/legran_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_s.dds";
    normalMap[0] = "vehicles/legran/legran_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran.skin.chrome")
{
    mapTo = "legran.skin.chrome";
    diffuseMap[2] = "vehicles/legran/legran_c.dds";
    specularMap[2] = "vehicles/legran/legran_s.dds";
    normalMap[2] = "vehicles/legran/legran_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_d.dds";
    specularMap[1] = "vehicles/legran/legran_s.dds";
    normalMap[1] = "vehicles/legran/legran_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_s.dds";
    normalMap[0] = "vehicles/legran/legran_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_lettering)
{
    mapTo = "legran_lettering";
    specularMap[0] = "vehicles/legran/legran_lettering_s.dds";
    normalMap[0] = "vehicles/legran/legran_lettering_n.dds";
    diffuseMap[0] = "vehicles/legran/legran_lettering_d.dds";
    reflectivityMap[0] = "vehicles/legran/legran_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material("legran.skin.sport")
{
    mapTo = "legran.skin.sport";
    diffuseMap[2] = "vehicles/legran/legran_c_sport.dds";
    specularMap[2] = "vehicles/legran/legran_s.dds";
    normalMap[2] = "vehicles/legran/legran_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_d_sport.dds";
    specularMap[1] = "vehicles/legran/legran_s.dds";
    normalMap[1] = "vehicles/legran/legran_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_s.dds";
    normalMap[0] = "vehicles/legran/legran_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_grille)
{
    mapTo = "legran_grille";
    diffuseMap[1] = "vehicles/legran/legran_grille_d_sport.dds";
    specularMap[1] = "vehicles/legran/legran_grille_s.dds";
    normalMap[1] = "vehicles/legran/legran_grille_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_grille_s.dds";
    normalMap[0] = "vehicles/legran/legran_grille_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_grille.skin.chrome")
{
    mapTo = "legran_grille.skin.chrome";
    diffuseMap[1] = "vehicles/legran/legran_grille_d.dds";
    specularMap[1] = "vehicles/legran/legran_grille_s.dds";
    normalMap[1] = "vehicles/legran/legran_grille_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_grille_s.dds";
    normalMap[0] = "vehicles/legran/legran_grille_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_grille.skin.sport")
{
    mapTo = "legran_grille.skin.sport";
    diffuseMap[1] = "vehicles/legran/legran_grille_d_sport.dds";
    specularMap[1] = "vehicles/legran/legran_grille_s.dds";
    normalMap[1] = "vehicles/legran/legran_grille_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_grille_s.dds";
    normalMap[0] = "vehicles/legran/legran_grille_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_extraparts)
{
    mapTo = "legran_extraparts";
    colorPaletteMap[2] = "vehicles/legran/legran_extraparts_palette.dds";
    diffuseMap[2] = "vehicles/legran/legran_extraparts_c.dds";
    specularMap[2] = "vehicles/legran/legran_extraparts_s.dds";
    normalMap[2] = "vehicles/legran/legran_extraparts_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_extraparts_d.dds";
    specularMap[1] = "vehicles/legran/legran_extraparts_s.dds";
    normalMap[1] = "vehicles/legran/legran_extraparts_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/legran/legran_extraparts_s.dds";
    normalMap[0] = "vehicles/legran/legran_extraparts_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_interior)
{
    mapTo = "legran_interior";
    reflectivityMap[1] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_interior_d.dds";
    specularMap[1] = "vehicles/legran/legran_interior_s.dds";
    normalMap[1] = "vehicles/legran/legran_interior_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_interior_d.dds";
    specularMap[0] = "vehicles/legran/legran_interior_s.dds";
    normalMap[0] = "vehicles/legran/legran_interior_n.dds";
    diffuseColor[1] = "0.39 0.41 0.43 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_seats)
{
    mapTo = "legran_seats";
    diffuseMap[0] = "vehicles/legran/legran_seats_d.dds";
    specularMap[0] = "vehicles/legran/legran_seats_s.dds";
    normalMap[0] = "vehicles/legran/legran_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.45 0.475 0.5 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_intcarpet)
{
    mapTo = "legran_intcarpet";
    diffuseMap[0] = "vehicles/legran/legran_intcarpet_d.dds";
    specularMap[0] = "vehicles/legran/legran_intcarpet_s.dds";
    diffuseColor[0] = "0.39 0.41 0.43 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_steer)
{
    mapTo = "legran_steer";
    reflectivityMap[1] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_steer_d.dds";
    specularMap[1] = "vehicles/legran/legran_steer_s.dds";
    normalMap[1] = "vehicles/legran/legran_steer_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_steer_d.dds";
    specularMap[0] = "vehicles/legran/legran_steer_s.dds";
    normalMap[0] = "vehicles/legran/legran_steer_n.dds";
    diffuseColor[1] = "0.39 0.41 0.43 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_interior.skin_interior.red")
{
    mapTo = "legran_interior.skin_interior.red";
    reflectivityMap[1] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_interior_d.dds";
    specularMap[1] = "vehicles/legran/legran_interior_s.dds";
    normalMap[1] = "vehicles/legran/legran_interior_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_interior_d.dds";
    specularMap[0] = "vehicles/legran/legran_interior_s.dds";
    normalMap[0] = "vehicles/legran/legran_interior_n.dds";
    diffuseColor[1] = "0.51 0.255 0.265 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_seats.skin_interior.red")
{
    mapTo = "legran_seats.skin_interior.red";
    diffuseMap[0] = "vehicles/legran/legran_seats_d.dds";
    specularMap[0] = "vehicles/legran/legran_seats_s.dds";
    normalMap[0] = "vehicles/legran/legran_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.51 0.255 0.265 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_intcarpet.skin_interior.red")
{
    mapTo = "legran_intcarpet.skin_interior.red";
    diffuseMap[0] = "vehicles/legran/legran_intcarpet_d.dds";
    specularMap[0] = "vehicles/legran/legran_intcarpet_s.dds";
    diffuseColor[0] = "0.51 0.255 0.265 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_steer.skin_interior.red")
{
    mapTo = "legran_steer.skin_interior.red";
    reflectivityMap[1] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_steer_d.dds";
    specularMap[1] = "vehicles/legran/legran_steer_s.dds";
    normalMap[1] = "vehicles/legran/legran_steer_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_steer_d.dds";
    specularMap[0] = "vehicles/legran/legran_steer_s.dds";
    normalMap[0] = "vehicles/legran/legran_steer_n.dds";
    diffuseColor[1] = "0.51 0.255 0.265 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_interior.skin_interior.blue")
{
    mapTo = "legran_interior.skin_interior.blue";
    reflectivityMap[1] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_interior_d.dds";
    specularMap[1] = "vehicles/legran/legran_interior_s.dds";
    normalMap[1] = "vehicles/legran/legran_interior_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_interior_d.dds";
    specularMap[0] = "vehicles/legran/legran_interior_s.dds";
    normalMap[0] = "vehicles/legran/legran_interior_n.dds";
    diffuseColor[1] = "0.24 0.32 0.41 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_seats.skin_interior.blue")
{
    mapTo = "legran_seats.skin_interior.blue";
    diffuseMap[0] = "vehicles/legran/legran_seats_d.dds";
    specularMap[0] = "vehicles/legran/legran_seats_s.dds";
    normalMap[0] = "vehicles/legran/legran_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.24 0.32 0.41 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_intcarpet.skin_interior.blue")
{
    mapTo = "legran_intcarpet.skin_interior.blue";
    diffuseMap[0] = "vehicles/legran/legran_intcarpet_d.dds";
    specularMap[0] = "vehicles/legran/legran_intcarpet_s.dds";
    diffuseColor[0] = "0.24 0.32 0.41 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_steer.skin_interior.blue")
{
    mapTo = "legran_steer.skin_interior.blue";
    reflectivityMap[1] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_steer_d.dds";
    specularMap[1] = "vehicles/legran/legran_steer_s.dds";
    normalMap[1] = "vehicles/legran/legran_steer_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_steer_d.dds";
    specularMap[0] = "vehicles/legran/legran_steer_s.dds";
    normalMap[0] = "vehicles/legran/legran_steer_n.dds";
    diffuseColor[1] = "0.24 0.32 0.41 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_interior.skin_interior.black")
{
    mapTo = "legran_interior.skin_interior.black";
    reflectivityMap[1] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_interior_d.dds";
    specularMap[1] = "vehicles/legran/legran_interior_s.dds";
    normalMap[1] = "vehicles/legran/legran_interior_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_interior_d.dds";
    specularMap[0] = "vehicles/legran/legran_interior_s.dds";
    normalMap[0] = "vehicles/legran/legran_interior_n.dds";
    diffuseColor[1] = "0.25 0.26 0.27 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_seats.skin_interior.black")
{
    mapTo = "legran_seats.skin_interior.black";
    diffuseMap[0] = "vehicles/legran/legran_seats_d.dds";
    specularMap[0] = "vehicles/legran/legran_seats_s.dds";
    normalMap[0] = "vehicles/legran/legran_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.2 0.2 0.2 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_intcarpet.skin_interior.black")
{
    mapTo = "legran_intcarpet.skin_interior.black";
    diffuseMap[0] = "vehicles/legran/legran_intcarpet_d.dds";
    specularMap[0] = "vehicles/legran/legran_intcarpet_s.dds";
    diffuseColor[0] = "0.2 0.2 0.2 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_steer.skin_interior.black")
{
    mapTo = "legran_steer.skin_interior.black";
    reflectivityMap[1] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_steer_d.dds";
    specularMap[1] = "vehicles/legran/legran_steer_s.dds";
    normalMap[1] = "vehicles/legran/legran_steer_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_steer_d.dds";
    specularMap[0] = "vehicles/legran/legran_steer_s.dds";
    normalMap[0] = "vehicles/legran/legran_steer_n.dds";
    diffuseColor[1] = "0.25 0.26 0.27 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_interior.skin_interior.brown")
{
    mapTo = "legran_interior.skin_interior.brown";
    reflectivityMap[1] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_interior_d.dds";
    specularMap[1] = "vehicles/legran/legran_interior_s.dds";
    normalMap[1] = "vehicles/legran/legran_interior_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_interior_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_interior_d.dds";
    specularMap[0] = "vehicles/legran/legran_interior_s.dds";
    normalMap[0] = "vehicles/legran/legran_interior_n.dds";
    diffuseColor[1] = "0.80 0.645 0.53 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_seats.skin_interior.brown")
{
    mapTo = "legran_seats.skin_interior.brown";
    diffuseMap[0] = "vehicles/legran/legran_seats_d.dds";
    specularMap[0] = "vehicles/legran/legran_seats_s.dds";
    normalMap[0] = "vehicles/legran/legran_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.57 0.43 0.33 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_intcarpet.skin_interior.brown")
{
    mapTo = "legran_intcarpet.skin_interior.brown";
    diffuseMap[0] = "vehicles/legran/legran_intcarpet_d.dds";
    specularMap[0] = "vehicles/legran/legran_intcarpet_s.dds";
    diffuseColor[0] = "0.57 0.43 0.33 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("legran_steer.skin_interior.brown")
{
    mapTo = "legran_steer.skin_interior.brown";
    reflectivityMap[1] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_steer_d.dds";
    specularMap[1] = "vehicles/legran/legran_steer_s.dds";
    normalMap[1] = "vehicles/legran/legran_steer_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_steer_s.dds";
    diffuseMap[0] = "vehicles/legran/legran_steer_d.dds";
    specularMap[0] = "vehicles/legran/legran_steer_s.dds";
    normalMap[0] = "vehicles/legran/legran_steer_n.dds";
    diffuseColor[1] = "0.80 0.645 0.53 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_gauges)
{
    mapTo = "legran_gauges";
    diffuseMap[0] = "vehicles/legran/legran_gauges_d.dds";
    specularMap[0] = "vehicles/legran/legran_gauges_s.dds";
    normalMap[0] = "vehicles/legran/legran_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(legran_gauges_on)
{
    mapTo = "legran_gauges_on";
    diffuseMap[1] = "legran_gauges_d.dds";
    specularMap[1] = "legran_gauges_s.dds";
    normalMap[1] = "legran_gauges_n.dds";
    diffuseMap[0] = "legran_gauges_d.dds";
    specularMap[0] = "legran_gauges_s.dds";
    normalMap[0] = "legran_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "3 1 0 1";
};

singleton Material("legran_gauges.skin_gauges.base_auto")
{
    mapTo = "legran_gauges.skin_gauges.base_auto";
    diffuseMap[0] = "vehicles/legran/legran_gauges_d.dds";
    specularMap[0] = "vehicles/legran/legran_gauges_s.dds";
    normalMap[0] = "vehicles/legran/legran_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material("legran_gauges_on.skin_gauges.base_auto")
{
    mapTo = "legran_gauges_on.skin_gauges.base_auto";
    diffuseMap[1] = "legran_gauges_d.dds";
    specularMap[1] = "legran_gauges_s.dds";
    normalMap[1] = "legran_gauges_n.dds";
    diffuseMap[0] = "legran_gauges_d.dds";
    specularMap[0] = "legran_gauges_s.dds";
    normalMap[0] = "legran_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "3 1 0 1";
};

singleton Material("legran_gauges.skin_gauges.sport_auto")
{
    mapTo = "legran_gauges.skin_gauges.sport_auto";
    diffuseMap[0] = "vehicles/legran/legran_gauges_sport_d.dds";
    specularMap[0] = "vehicles/legran/legran_gauges_sport_s.dds";
    normalMap[0] = "vehicles/legran/legran_gauges_sport_n.dds";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};


singleton Material("legran_gauges_on.skin_gauges.sport_auto")
{
    mapTo = "legran_gauges_on.skin_gauges.sport_auto";
    diffuseMap[1] = "vehicles/legran/legran_gauges_sport_d.dds";
    specularMap[1] = "vehicles/legran/legran_gauges_sport_s.dds";
    normalMap[1] = "vehicles/legran/legran_gauges_sport_n.dds";
    diffuseMap[0] = "vehicles/legran/legran_gauges_sport_d.dds";
    specularMap[0] = "vehicles/legran/legran_gauges_sport_s.dds";
    normalMap[0] = "vehicles/legran/legran_gauges_sport_n.dds";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "1.5 0 0 1";
    useAnisotropic[1] = "1";
};

singleton Material(legran_engine)
{
   mapTo = "legran_engine";
    reflectivityMap[1] = "vehicles/legran/legran_engine_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_engine_d.dds";
    specularMap[1] = "vehicles/legran/legran_engine_s.dds";
    normalMap[1] = "vehicles/legran/legran_engine_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_engine_s.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_engine_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_supercharger)
{
   mapTo = "legran_supercharger";
    reflectivityMap[1] = "vehicles/legran/legran_supercharger_s.dds";
    diffuseMap[1] = "vehicles/legran/legran_supercharger_d.dds";
    specularMap[1] = "vehicles/legran/legran_supercharger_s.dds";
    normalMap[1] = "vehicles/legran/legran_supercharger_n.dds";
    reflectivityMap[0] = "vehicles/legran/legran_supercharger_s.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_supercharger_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_glass)
{
    mapTo = "legran_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/legran/legran_glass_d.dds";
    opacityMap[0] = "vehicles/legran/legran_glass_d.dds";
    diffuseMap[1] = "vehicles/legran/legran_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_glass_int)
{
    mapTo = "legran_glass_int";
    diffuseMap[0] = "vehicles/legran/legran_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_glass_dmg)
{
    mapTo = "legran_glass_dmg";
    diffuseMap[0] = "vehicles/legran/legran_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/legran/legran_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_windshield_dmg)
{
    mapTo = "legran_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/legran/legran_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_lights)
{
    mapTo = "legran_lights";
    diffuseMap[1] = "vehicles/legran/legran_lights_d.dds";
    specularMap[1] = "vehicles/legran/legran_lights_s.dds";
    normalMap[1] = "vehicles/legran/legran_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_lights_on)
{
    mapTo = "legran_lights_on";
    diffuseMap[2] = "vehicles/legran/legran_lights_g.dds";
    specularMap[2] = "vehicles/legran/legran_lights_s.dds";
    normalMap[2] = "vehicles/legran/legran_lights_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_lights_d.dds";
    specularMap[1] = "vehicles/legran/legran_lights_s.dds";
    normalMap[1] = "vehicles/legran/legran_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_lights_on_intense)
{
    mapTo = "legran_lights_on_intense";
    diffuseMap[2] = "vehicles/legran/legran_lights_g.dds";
    specularMap[2] = "vehicles/legran/legran_lights_s.dds";
    normalMap[2] = "vehicles/legran/legran_lights_n.dds";
    diffuseMap[1] = "vehicles/legran/legran_lights_d.dds";
    specularMap[1] = "vehicles/legran/legran_lights_s.dds";
    normalMap[1] = "vehicles/legran/legran_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_lights_dmg)
{
    mapTo = "legran_lights_dmg";
    diffuseMap[1] = "vehicles/legran/legran_lights_dmg_d.dds";
    specularMap[1] = "vehicles/legran/legran_lights_dmg_s.dds";
    normalMap[1] = "vehicles/legran/legran_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(legran_reverselight)
{
    mapTo = "legran_reverselight";
};

singleton Material(legran_signal_R)
{
    mapTo = "legran_signal_R";
};

singleton Material(legran_signal_L)
{
    mapTo = "legran_signal_L";
};

singleton Material(legran_chmsl)
{
    mapTo = "legran_chmsl";
};

singleton Material(legran_brakelight)
{
    mapTo = "legran_brakelight";
};

singleton Material(legran_taillight_R)
{
    mapTo = "legran_taillight_R";
};

singleton Material(legran_taillight_L)
{
    mapTo = "legran_taillight_L";
};

singleton Material(legran_highbeam)
{
    mapTo = "legran_highbeam";
};

singleton Material(legran_lowbeam)
{
    mapTo = "legran_lowbeam";
};